org.apache.ignite.spi.swapspace.file

## Interface FileSwapSpaceSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  FileSwapSpaceSpi

    @MXBeanDescription(value="MBean that provides configuration information on file-based swapspace SPI.")
    public interface FileSwapSpaceSpiMBean
    extends IgniteSpiManagementMBean

Management bean for `FileSwapSpaceSpi`.

### Method Summary

Methods
`String` `getBaseDirectory()` Gets base directory.
`float` `getMaximumSparsity()` Gets maximum sparsity.
`int` `getMaxWriteQueueSize()` Gets max write queue size in bytes.
`int` `getReadStripesNumber()` Gets read pool size.
`int` `getWriteBufferSize()` Gets write buffer size in bytes.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getBaseDirectory

    @MXBeanDescription(value="Base directory.")
    String getBaseDirectory()

Gets base directory.

Returns:
  Base directory.

#### getMaximumSparsity

    @MXBeanDescription(value="Maximum sparsity.")
    float getMaximumSparsity()

Gets maximum sparsity.

Returns:
  Maximum sparsity.

#### getWriteBufferSize

    @MXBeanDescription(value="Write buffer size in bytes.")
    int getWriteBufferSize()

Gets write buffer size in bytes.

Returns:
  Write buffer size in bytes.

#### getMaxWriteQueueSize

    @MXBeanDescription(value="Max write queue size in bytes.")
    int getMaxWriteQueueSize()

Gets max write queue size in bytes.

Returns:
  Max write queue size in bytes.

#### getReadStripesNumber

    @MXBeanDescription(value="Read pool size.")
    int getReadStripesNumber()

Gets read pool size.

Returns:
  Read pool size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015